Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1AuditEvent

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1AuditEvent

Record Components:
  `fieldId` - The audit event ID.
  `fieldOwner` - The audit event owner.
  `fieldTime` - The audit event time.
  `fieldType` - The audit event type.
  `fieldMessage` - The audit event message.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1AuditEvent(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldId, com.io7m.cedarbridge.runtime.api.CBUUID fieldOwner, IdA1TimestampUTC fieldTime, com.io7m.cedarbridge.runtime.api.CBString fieldType, com.io7m.cedarbridge.runtime.api.CBString fieldMessage) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
An audit event.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1AuditEvent(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldId, com.io7m.cedarbridge.runtime.api.CBUUID fieldOwner, IdA1TimestampUTC fieldTime, com.io7m.cedarbridge.runtime.api.CBString fieldType, com.io7m.cedarbridge.runtime.api.CBString fieldMessage)`
  Creates an instance of a `IdA1AuditEvent` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1AuditEvent`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1AuditEvent.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldId()`
  Returns the value of the `fieldId` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldMessage()`
  Returns the value of the `fieldMessage` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldOwner()`
  Returns the value of the `fieldOwner` record component.
  `IdA1TimestampUTC`
  `fieldTime()`
  Returns the value of the `fieldTime` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldType()`
  Returns the value of the `fieldType` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AuditEvent $x)`
  Serialize a value of type IdA1AuditEvent.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1AuditEvent

    public IdA1AuditEvent(com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldId, com.io7m.cedarbridge.runtime.api.CBUUID fieldOwner, IdA1TimestampUTC fieldTime, com.io7m.cedarbridge.runtime.api.CBString fieldType, com.io7m.cedarbridge.runtime.api.CBString fieldMessage)
    Creates an instance of a `IdA1AuditEvent` record class.
    Parameters:
      `fieldId` - the value for the `fieldId` record component
      `fieldOwner` - the value for the `fieldOwner` record component
      `fieldTime` - the value for the `fieldTime` record component
      `fieldType` - the value for the `fieldType` record component
      `fieldMessage` - the value for the `fieldMessage` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AuditEvent $x) throws IOException
    Serialize a value of type IdA1AuditEvent.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1AuditEvent deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1AuditEvent.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1AuditEvent.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldId

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldId()
    Returns the value of the `fieldId` record component.
    Returns:
      the value of the `fieldId` record component

  - ### fieldOwner

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldOwner()
    Returns the value of the `fieldOwner` record component.
    Returns:
      the value of the `fieldOwner` record component

  - ### fieldTime

    public IdA1TimestampUTC fieldTime()
    Returns the value of the `fieldTime` record component.
    Returns:
      the value of the `fieldTime` record component

  - ### fieldType

    public com.io7m.cedarbridge.runtime.api.CBString fieldType()
    Returns the value of the `fieldType` record component.
    Returns:
      the value of the `fieldType` record component

  - ### fieldMessage

    public com.io7m.cedarbridge.runtime.api.CBString fieldMessage()
    Returns the value of the `fieldMessage` record component.
    Returns:
      the value of the `fieldMessage` record component